// main {
//     padding-left: calc(calc(100% - 1200px) / 2);
//     @media only screen and (min-width: 1400px) {
//         padding-left: calc(calc(100% - 1310px) / 2);
//     }
// }
.nofull {
    padding-left: 0;
}

.main-home {
    padding-left: 0;
}

main {
    
}

body.page-template-template-page-blog {
    main {
        overflow: hidden;
    }
}

.link {
    color: $black;
    font-family: $font;
    font-weight: 400;
    font-size: 1.6rem;
    letter-spacing: -0.02em;
    text-align: left;
    display: inline-block;
    position: relative;

    &:after {
        content: '';
        position: absolute;
        width: 100%;
        transform: scaleX(0);
        height: .1rem;
        bottom: -.2rem;
        left: 0;
        background-color: $black;
        transform-origin: bottom right;
        transition: transform 0.25s ease-out;
    }

    &:hover {
        color: #000;

        &:after {
            transform: scaleX(1);
            transform-origin: bottom left;
        }
    }

    &:focus,
    &:visited,
    &:unvisited {
        color: $white;
    }
}

.link-post {
    color: $black;
    font-family: $font;
    font-weight: 400;
    font-size: 1.6rem;
    letter-spacing: -0.02em;
    text-align: left;
    display: inline-block;
    position: relative;

    &:after {
        content: '';
        position: absolute;
        width: 100%;
        transform: scaleX(0);
        height: .1rem;
        bottom: 0rem;
        left: 0;
        background-color: $green;
        transform-origin: bottom right;
        transition: transform 0.25s ease-out;
        z-index: 2;
    }

    &:before {
        content: '';
        position: absolute;
        width: 100%;
        transform: scaleX(1);
        height: .1rem;
        bottom: 0rem;
        left: 0;
        background-color: $black;
        transform-origin: bottom right;
        transition: transform 0.25s ease-out;
        z-index: 1;
    }

    &:hover {
        color: #000;

        &:after {
            transform: scaleX(1);
            transform-origin: bottom left;
        }
    }

    &:focus,
    &:visited,
    &:unvisited {
        color: $white;
    }
}